Voronoi polygons wrong if adding a 1 m buffer
2015-07-08 07:26 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 21159
Description

When running the exercise john snow from the training manual, the voronoi polygons from QGIS algs are calculated correctly whn using
buffer 0, but are wrong if a buffer = 1 m is added. See attached image (a polygon with two points, an one empty)

History

#1 - 2015-07-15 04:37 PM - Andrew Bevitt

This looks like a duplicate of #8002

#2 - 2015-07-16 01:48 AM - Paolo Cavallini

The phenomenon is different; unsure if the underlying problem is the same.

#3 - 2015-07-22 03:52 PM - Andrew Bevitt

If it is a duplicate then the empty polygon is partially covered by the polygon which appears to have two points. Try changing the layer transparency to see
if this is the case.

#4 - 2015-07-23 02:22 AM - Paolo Cavallini

It is not.
Thanks.

#5 - 2015-07-31 10:56 AM - Giovanni Manghi
- Status changed from Open to Closed
- Resolution set to duplicate

The voronoi result with buffer with the "pumps" vector from the training manual dataset has indeed overlapping polygons, and indeed the patch proposed in
#8002 solves the issue, at least the one described in this ticket.

#6 - 2018-07-31 10:35 AM - Havard Tveite

The errors caused by using buffer (correct polygons when not using buffer - incorrect when using buffer) still existed in 3.2.
The buffer error should be fixed with a recently merged pull request (https://github.com/qgis/QGIS/pull/7469).

#7 - 2018-07-31 10:47 AM - Paolo Cavallini

This is apparently a duplicate. Please add your comment to the other ticket. Thanks.
